/*
 * @(#)RidMessage.java
 *
 * Copyright 2001 Nomura Research Institute, LTD. All rights reserved.
 *
 * RID-X : エラーメッセージ
 *
 * @author  Intelligent Technology Inc.
 * @version 1.01 2002/02/18
 */

package jp.co.nri.rid.error;

import java.lang.*;
import java.util.*;

import jp.co.iti.fagot.ZApp;
import jp.co.iti.fagot.util.ZResource;

/**
  * RID メッセージ
  */
public class RidMessage {

    /**
      * エラーメッセージの生成
      * @param   message   メッセージ
      *
      * @return エラーメッセージ
      */
    public String Error(String message) {
        return "Error: " + message;
    }

    /**
      * エラーメッセージの生成
      * @param   no        コード
      * @param   message   付加メッセージ
      *
      * @return エラーメッセージ
      */
    public String Error(String no, String message) {
        String msg = "";
        ZResource res = ZApp.getTheApp().getResource();
        String error_msg = res.getString("msg.error."+ no);
        if ( !(error_msg == null || error_msg == "") ) {
            msg = "Error(" + no + "): " + error_msg + "\n" + message;
        }
        return msg;
    }

    /**
      * 警告メッセージの生成
      * @param   message   メッセージ
      *
      * @return 警告メッセージ
      */
    public String Warning(String message) {
        return "Warning: " + message;
    }

    /**
      * 警告メッセージの生成
      * @param   no        コード
      * @param   message   付加メッセージ
      *
      * @return 警告メッセージ
      */
    public String Warning(String no, String message) {
        String msg = "";
        ZResource res = ZApp.getTheApp().getResource();
        String warning_msg = res.getString("msg.warning."+ no);
        if ( !(warning_msg == null || warning_msg == "") ) {
            msg = "Warning(" + no + "): " + warning_msg + "\n" + message;
        }
        return msg;
    }
}
